<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<!-- This page is included to display messages which are set to request scope or session scope -->
<jsp:include page="../dialog/display_messages.jsp"/>

<fmt:bundle basename="org.wso2.carbon.axis1services.ui.i18n.Resources">
    <carbon:breadcrumb label="new.axis1.service"
                       resourceBundle="org.wso2.carbon.axis1services.ui.i18n.Resources"
                       topPage="true" request="<%=request%>"/>

    <script type="text/javascript">
        function validate() {
            var fileName = document.wsddUpload.wsddFilename.value;
            var jarFileName = document.wsddUpload.jarResource.value;
            if (fileName == '') {
                CARBON.showWarningDialog('<fmt:message key="select.wsdd.file"/>');
                return false;
            } else if (fileName.lastIndexOf(".wsdd") < 0) {
                CARBON.showWarningDialog('<fmt:message key="select.wsdd.file"/>');
                return false;
            } else if (jarFileName == '') {
                CARBON.showWarningDialog('<fmt:message key="select.jar.file"/>');
                return false;
            } else if (jarFileName.lastIndexOf(".jar") < 0) {
                CARBON.showWarningDialog('<fmt:message key="select.jar.file"/>');
                return false;
            } else {
                return true;
            }
        }

        var count = 1;

        function addAxis1LibraryFileuplod(objDiv) {
            var elem = document.createElement('input');
            var nameAttr = document.createAttribute('name');
            nameAttr.value = "jarResource" + count;
            var sizeAttr = document.createAttribute('size');
            sizeAttr.value = "50";
            var typeAttr = document.createAttribute('type');
            typeAttr.value = "file";
            elem.attributes.setNamedItem(nameAttr);
            elem.attributes.setNamedItem(sizeAttr);
            elem.attributes.setNamedItem(typeAttr);

            var newRow = objDiv.insertRow(-1);
            var oCell = newRow.insertCell(-1);

            oCell.innerHTML = "<input name=\"jarResource" + count + "\" size=\"50\" type=\"file\" /> " +
                              "<input type=\"button\" class=\"button\" value=\"-\" " +
                              "onclick=\"deleteRow(this.parentNode.parentNode);\"/>";
            count++;
        }

        function deleteRow(tableRow)
        {
            tableRow.parentNode.deleteRow(tableRow.rowIndex)
        }
    </script>
    <div id="middle">

        <h2><fmt:message key="new.axis1.service"/></h2>

        <div id="workArea">
            <form method="post" name="wsddUpload" action="../../fileupload/wsdd"
                  enctype="multipart/form-data"
                  target="_self">
                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message
                                key="upload.wsdd.file.and.jar.resources"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td>
                                        <label><fmt:message key="descriptor.wsdd"/></label>
                                    </td>
                                    <td>
                                        <table class="normal">
                                            <tr>
                                                <td>
                                                    <input type="file" name="wsddFilename"
                                                           size="50"/>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <label><fmt:message key="resources.jar"/></label>
                                    </td>
                                    <td>
                                        <div id="wsddLibDivId">
                                            <table id="wsddLibTableId" class="normal">
                                                <tr>
                                                    <td>
                                                        <input type="file" name="jarResource"
                                                               size="50"/>
                                                        <input type="button" class="button"
                                                               value="+"
                                                               onClick="javascript:addAxis1LibraryFileuplod(document.getElementById('wsddLibTableId')); return false;"/>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input name="upload" type="submit" class="button"
                                   value=" <fmt:message key="upload"/> "
                                   onclick="javascript:return validate();"/>
                            <input type="button" class="button"
                                   value=" <fmt:message key="cancel"/>"
                                   onclick="javascript:location.href='../service-mgt/index.jsp'"/>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>